Download it now!
Bug 130936 - Provide Proper Icon Size for Thumbnail MIME type Icon in Start Center
Summary: Provide Proper Icon Size for Thumbnail MIME type Icon in Start Center
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium trivial
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Icon-Themes-Code 130898
  Show dependency treegraph
 
Reported: 2020-02-25 19:02 UTC by Rizal Muttaqin
Modified: 2020-06-17 10:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Mimetype colibre icon overlay are not that crisp (19.60 KB, image/png)
2020-02-25 19:02 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-02-25 19:02:45 UTC
Created attachment 158188 [details]
Mimetype colibre icon overlay are not that crisp

In 6.4 release, we got Mime type icon overlay over recent file (tdf#125756). This so helpful to determine what filetype a file in the star center is.

Somehow this icons are taken from 128px*128px size while seeing the source code (sfx2/source/control/recentdocsview.cxx) the overlay size is 50px*50px (or 40px*40pc ? Iā€™m not sure). This leads to not pixel perfect appearance.

So my suggestion is to provide a mechanisme to show proper icon size whether we should provide another icon files under sfx2 directory (or define them in links.txt) or use already available icon (we have 32px*32px icons under res directory).
Comment 1 Rizal Muttaqin 2020-02-25 19:17:44 UTC
The MIME type overlay icons are taken from icon-themes/*/res/*128.png or icon-themes/*/res/*128.svg
Comment 2 Rizal Muttaqin 2020-02-25 19:29:22 UTC
(In reply to Rizal Muttaqin from comment #1)
> The MIME type overlay icons are taken from icon-themes/*/res/*128.png or
> icon-themes/*/res/*128.svg

Another thing that those icons are not MIME type actually, but the module of the software. It's not appropiate IMHO.
Comment 3 ian 2020-02-26 13:59:00 UTC
Thank you for reporting this bug. 

I have reduced the severity to "trivial," as this is a cosmetic issue.
Comment 4 Rizal Muttaqin 2020-02-26 15:52:06 UTC Comment hidden (off-topic)
Comment 5 Rizal Muttaqin 2020-05-27 22:01:20 UTC
Is it possible this bug will be fixed in the 7.0 release?
Comment 6 Commit Notification 2020-06-03 09:51:31 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/997a504f33bbd43c02a96a2a593a03e58bd3b72c

Resolves tdf#130936 - Proper Icon Size for MIME type Icon in Start Center

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-04 00:12:13 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/8c08eefeb512d4cbc86c4c5308d86a59bd232beb

Resolves tdf#130936 - Proper Icon Size for MIME type Icon in Start Center

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.